Subject: Re: [Sipping] Comment on sipping-config-framework-02

From: "Daniel G. Petrie" <[email-masked]>
Date: Sun, 29 Feb 2004 17:40:02 -0500

Eric Burger wrote:

> In the overview (2.3), the document states that the content delivery server MUST be in the public network or DMZ.

The intention of that sentence/paragraph was that it must be possible to have
profile delivery server anywhere on the Internet and that it must be possible for
UAs to access that server using this framework (e.g. traverse NAT/firewalls, etc.).

Thanks, I will fix the wording.

>
>
> I would offer that for a carrier, they will be loathe to put subscriber data on the open Internet.  Moreover, while it may be acceptable to have a MAC address float about in a "secure" network, service providers may be less sanguine in a sniffable, public network.

The MAC address was merely a suggestion.  The point was to have a unique
identifier for the device.

>
>
> How about some language about the perils of putting it in the public network, as well as the reasons for doing it.  For example, to support roaming - I need my profile when I'm away without having to establish a VPN first.

Based upon how the dicussion goes today, it is likely that I will be
beefing up the dicussion on hoteling, roaming and the concepts
of the local network, device and user profiles and subscriptions.

>
>
> I would also be more specific on the access protocol for retrieving the profile.  It is good to say, "any URI scheme", so long as one says something like "but MUST implement https at a minimum."  That way, there is a minimum baseline that all devices and content delivery servers will be able to interoperate with.

The URL scheme is to be defined by the profile data definintion which
is out of scope for this document.

>
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP